package com.zcloud.fire.check.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.fire.check.persistence.dataobject.CorpInfoDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2025-10-29 16:02:17
 */
public interface CorpInfoRepository extends BaseRepository<CorpInfoDO> {
    PageResponse<CorpInfoDO> listPage(Map<String, Object> parmas);

    Long getCorpCountByCorpName(String corpName);

    Long getTotalCount();

    boolean isSupper();

}

